xmonad-contrib-0.11.3: Third party extensions for xmonad

Copyright | (c) Jan Vornberger 2009
License | BSD3-style (see LICENSE)
Maintainer | jan.vornberger@informatik.uni-oldenburg.de
Stability | unstable
Portability | not portable
Safe Haskell | None
Language | Haskell98

XMonad.Layout.BorderResize

Contents

- Usage

Description

This layout modifier will allow to resize windows by dragging their borders with the mouse. However, it only works in layouts or modified layouts that react to the `SetGeometry` message. XMonad.Layout.WindowArranger can be used to create such a setup, but it is probably must useful in a floating layout such as XMonad.Layout.PositionStoreFloat with which it has been mainly tested. See the documentation of PositionStoreFloat for a typical usage example.

Synopsis

- borderResize :: l a -> ModifiedLayout BorderResize l a
- data BorderResize a = BR (Map Window RectWithBorders)
- type RectWithBorders = (Rectangle, [BorderInfo])
- data BorderInfo

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Layout.BorderResize
    myLayout = borderResize (... layout setup that reacts to SetGeometry ...)
    main = xmonad defaultConfig { layoutHook = myLayout }

borderResize :: l a -> ModifiedLayout BorderResize l a

data BorderResize a

Constructors

BR (Map Window RectWithBorders) |

Instances

LayoutModifier BorderResize Window |
Read (BorderResize a) |
Show (BorderResize a) |

type RectWithBorders = (Rectangle, [BorderInfo])

data BorderInfo

Instances

Read BorderInfo |
Show BorderInfo |